org.apache.tinkerpop.gremlin.server.handler

## Class WsAndHttpChannelizerHandler

- java.lang.Object
- - ChannelInboundHandlerAdapter
  - - org.apache.tinkerpop.gremlin.server.handler.WsAndHttpChannelizerHandler

-     public class WsAndHttpChannelizerHandler
      extends ChannelInboundHandlerAdapter

  A ChannelInboundHandlerAdapter for use with `WsAndHttpChannelizer` that toggles between WebSockets and http.
  Author:
    Keith Lohnes lohnesk@gmail.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsAndHttpChannelizerHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelRead(ChannelHandlerContext ctx, Object obj)`
    `void` | `configure(ChannelPipeline pipeline)`
    `void` | `exceptionCaught(ChannelHandlerContext ctx, Throwable cause)`
    `Channelizer` | `getWsChannelizer()`
    `void` | `init(ServerGremlinExecutor<EventLoopGroup> serverGremlinExecutor, HttpGremlinEndpointHandler httpGremlinEndpointHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsAndHttpChannelizerHandler

          public WsAndHttpChannelizerHandler()

  - ### Method Detail

    - #### init

          public void init(ServerGremlinExecutor<EventLoopGroup> serverGremlinExecutor,
                           HttpGremlinEndpointHandler httpGremlinEndpointHandler)

    - #### getWsChannelizer

          public Channelizer getWsChannelizer()

    - #### configure

          public void configure(ChannelPipeline pipeline)

    - #### channelRead

          public void channelRead(ChannelHandlerContext ctx,
                                  Object obj)

    - #### exceptionCaught

          public void exceptionCaught(ChannelHandlerContext ctx,
                                      Throwable cause)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.